// Rio500Song.cpp : Implementation of CRio500Song
#include "stdafx.h"
#include "Rio500Remix.h"
#include "Rio500Song.h"

/////////////////////////////////////////////////////////////////////////////
// CRio500Song

CRio500Song::CRio500Song()
 :  m_lNumber(-1),
    m_wBitmapBlocks(-1),
    m_lFolder(-1)
{
}

STDMETHODIMP CRio500Song::get_Name(BSTR *pVal)
{
    *pVal = m_bsName.copy();
    return S_OK;
}

STDMETHODIMP CRio500Song::put_Name(BSTR newVal)
{
    m_bsName = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Song::get_Number(long *pVal)
{
    *pVal = m_lNumber;
    return S_OK;
}

STDMETHODIMP CRio500Song::put_Number(long newVal)
{
    m_lNumber = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Song::get_Bitmap(VARIANT *pVal)
{
    VariantCopy(pVal, &m_vBitmap);
    return S_OK;
}

STDMETHODIMP CRio500Song::put_Bitmap(VARIANT newVal)
{
    m_vBitmap = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Song::get_BitmapBlocks(WORD *pVal)
{
    *pVal = m_wBitmapBlocks;
    return S_OK;
}

STDMETHODIMP CRio500Song::put_BitmapBlocks(WORD newVal)
{
    m_wBitmapBlocks = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Song::get_Folder(long *pVal)
{
    *pVal = m_lFolder;
    return S_OK;
}

STDMETHODIMP CRio500Song::put_Folder(long newVal)
{
    m_lFolder = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Song::get_SongFileName(BSTR *pVal)
{
    *pVal = m_bsSongFileName.copy();
    return S_OK;
}

STDMETHODIMP CRio500Song::put_SongFileName(BSTR newVal)
{
    m_bsSongFileName = newVal;
    return S_OK;
}


