// Rio500Song.h : Declaration of the CRio500Song

#ifndef __RIO500SONG_H_
#define __RIO500SONG_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CRio500Song
class ATL_NO_VTABLE CRio500Song : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CRio500Song, &CLSID_Rio500Song>,
	public IDispatchImpl<IRio500Song, &IID_IRio500Song, &LIBID_RIO500REMIXLib>
{
public:
	CRio500Song();

DECLARE_REGISTRY_RESOURCEID(IDR_RIO500SONG)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CRio500Song)
	COM_INTERFACE_ENTRY(IRio500Song)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IRio500Song
public:
	STDMETHOD(get_Name)(/*[out, retval]*/ BSTR *pVal);
	STDMETHOD(put_Name)(/*[in]*/ BSTR newVal);
	STDMETHOD(get_Number)(/*[out, retval]*/ long *pVal);
	STDMETHOD(put_Number)(/*[in]*/ long newVal);
	STDMETHOD(get_Bitmap)(/*[out, retval]*/ VARIANT *pVal);
	STDMETHOD(put_Bitmap)(/*[in]*/ VARIANT newVal);
	STDMETHOD(get_BitmapBlocks)(/*[out, retval]*/ WORD *pVal);
	STDMETHOD(put_BitmapBlocks)(/*[in]*/ WORD newVal);
	STDMETHOD(get_Folder)(/*[out, retval]*/ long *pVal);
	STDMETHOD(put_Folder)(/*[in]*/ long newVal);
	STDMETHOD(get_SongFileName)(/*[out, retval]*/ BSTR *pVal);
	STDMETHOD(put_SongFileName)(/*[in]*/ BSTR newVal);

    _bstr_t         m_bsName;
    long            m_lNumber;
    _variant_t      m_vBitmap;
    WORD            m_wBitmapBlocks;
    long            m_lFolder;
    _bstr_t         m_bsSongFileName;
};

#endif //__RIO500SONG_H_
